package com.yyrh.ui.activity;



import android.app.Activity;
import android.app.Fragment;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.KeyEvent;
import android.view.Window;
import android.widget.FrameLayout;


import com.yyrh.constant.SDKSettings;
import com.yyrh.ui.fragment.FragmentUtils;
import com.yyrh.utils.ResourceUtil;
import com.yyrh.utils.Utils;

public class UseLoginActivity extends BaseActivity {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(ResourceUtil.getLayoutId(this,"qj_login_activity"));
        initView(this);
    }
    private void initView(Context context){
        Intent intent = getIntent();
        boolean isLandscape =intent.getBooleanExtra("isLandscape",true);
        int fragmentTag  =intent.getIntExtra("fragmentTag",FragmentUtils.SDK_REGISTER_TAG);
        Fragment mJmUserLoginFragment = FragmentUtils.getSdkFragment(context,fragmentTag);


        FrameLayout layout = findViewById(ResourceUtil.getId(this,"qj_content"));

        if (isLandscape){
            setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_LANDSCAPE);
        }else{
            Float x = Float.valueOf("0.9").floatValue();
            Float y = Float.valueOf("0.9").floatValue();
            layout.setScaleX(x);
            layout.setScaleY(y);
            setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
        }


        addFragmentToActivity(getFragmentManager(),mJmUserLoginFragment,layout.getId());
    }

    @Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        return false;
    }
}
