package com.yyrh.ui.fragment;

import android.app.Fragment;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;


import com.yyrh.utils.ResourceUtil;
import com.yyrh.utils.Utils;

public class BaseFragment extends Fragment implements View.OnClickListener {
    private Button btn_kefu;

    @Override
    public void onViewCreated(View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        btn_kefu = view.findViewById(ResourceUtil.getId(getActivity(),"btn_kefu"));
        if (btn_kefu != null){
            btn_kefu.setOnClickListener(this);
        }

    }

    public void addFragmentToActivity(FragmentManager fragmentManager,
                                      android.app.Fragment fragment, int frameId) {
        Utils.checkNotNull(fragmentManager);
        Utils.checkNotNull(fragment);
        FragmentTransaction transaction = fragmentManager.beginTransaction();
        transaction.add(frameId, fragment).addToBackStack(null);
        transaction.commit();
    }

    public void replaceFragmentToActivity(FragmentManager fragmentManager, android.app.Fragment fragment, int frameId) {
        Utils.checkNotNull(fragmentManager);
        Utils.checkNotNull(fragment);

        FragmentTransaction transaction = fragmentManager.beginTransaction();
        transaction.replace(frameId, fragment);
        transaction.commit();
    }

    @Override
    public void onClick(View v) {
        if (v.getId() == ResourceUtil.getId(getActivity(), "btn_kefu")){
            Toast.makeText(getActivity(), "这是客服",1).show();
        }
    }
}
